/[gentoo-x86]/sys-auth/polkit/ChangeLog
Gentoo

Diff of /sys-auth/polkit/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.59 Revision 1.155
1# ChangeLog for sys-auth/polkit 1# ChangeLog for sys-auth/polkit
2# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/sys-auth/polkit/ChangeLog,v 1.59 2011/12/08 15:39:21 ssuominen Exp $ 3# $Header: /var/cvsroot/gentoo-x86/sys-auth/polkit/ChangeLog,v 1.155 2013/09/22 06:57:40 ago Exp $
4
5 22 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
6 Stable for arm, wrt bug #484486
7
8 21 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
9 Stable for x86, wrt bug #484486
10
11 21 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
12 Stable for amd64, wrt bug #484486
13
14 19 Sep 2013; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.110-r1.ebuild,
15 -files/polkit-0.110-CVE-2013-4288.patch:
16 old
17
18*polkit-0.112-r1 (19 Sep 2013)
19
20 19 Sep 2013; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.112-r1.ebuild,
21 polkit-0.112.ebuild:
22 -r0 is for stabilization w/ mozjs185 and -r1 is for ~arch with mozjs 17.0
23
24 19 Sep 2013; Doug Goldstein <cardoe@gentoo.org> -polkit-0.111-r1.ebuild:
25 Remove vulnerable version
26
27*polkit-0.110-r1 (19 Sep 2013)
28
29 19 Sep 2013; Doug Goldstein <cardoe@gentoo.org>
30 +files/polkit-0.110-CVE-2013-4288.patch, +polkit-0.110-r1.ebuild:
31 Bump for CVE-2013-4288
32
33*polkit-0.112 (19 Sep 2013)
34
35 19 Sep 2013; Doug Goldstein <cardoe@gentoo.org> +polkit-0.112.ebuild:
36 Bump for CVE-2013-4288
37
38 10 Sep 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild,
39 polkit-0.111-r1.ebuild:
40 Stop forcing USE="consolekit systemd" for sys-auth/pambase in PDEPEND because
41 CONFIG_AUDITSYSCALL=y is not possible on every arch and the dependency was
42 always more about convinience than being strict requirement.
43
44 09 Aug 2013; Ian Stakenvicius <axs@gentoo.org> -polkit-0.111.ebuild:
45 dropped polkit-111 in favour of -r1 now that spidermonkey-17 is unmasked, as
46 per ssuominen's approval
47
48 09 Aug 2013; Ian Stakenvicius <axs@gentoo.org> polkit-0.110.ebuild,
49 polkit-0.111-r1.ebuild:
50 Adjusted deps for dev-lang/spidermonkey to ensure SLOT=0
51
52*polkit-0.111-r1 (08 Aug 2013)
53
54 08 Aug 2013; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.111-r1.ebuild:
55 Force use of dev-lang/spidermonkey:17 because automagic dependencies are bad.
56
57*polkit-0.111 (15 May 2013)
58
59 15 May 2013; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.111.ebuild:
60 Version bump by "okias" from Freenode
61
62 19 Mar 2013; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.107-r1.ebuild,
63 -files/polkit-0.107-fallback.patch:
64 old
65
66 19 Mar 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
67 Stable for sh, wrt bug #452688
68
69 12 Mar 2013; Samuli Suominen <ssuominen@gentoo.org>
70 files/polkit-0.110-W_define.patch:
71 Include link to upstream bug.
72
73 12 Mar 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild,
74 +files/polkit-0.110-W_define.patch:
75 Fix missing #include <sys/wait.h> for #define's of WIFEXITED, WEXITSTATUS,
76 WIFSIGNALED and WTERMSIG (to fix building on arch "sh")
77
78 09 Mar 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
79 Stable for sparc, wrt bug #452688
80
81 03 Mar 2013; Mike Frysinger <vapier@gentoo.org> polkit-0.110.ebuild:
82 Add s390 keywords #457078 by Michael Palimaka.
83
84 23 Feb 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
85 Stable for alpha, wrt bug #452688
86
87 10 Feb 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
88 Stable for ppc64, wrt bug #452688
89
90 09 Feb 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
91 Stable for ia64, wrt bug #452688
92
93 31 Jan 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
94 Stable for ppc, wrt bug #452688
95
96 29 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild:
97 Force USE="debug" to be disabled in dev-lang/spidermonkey to avoid asseration
98 errors as noted by _AxS_.
99
100 26 Jan 2013; Markus Meier <maekke@gentoo.org> polkit-0.110.ebuild:
101 arm stable, bug #452688
102
103 20 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild:
104 x86 stable wrt #452688
105
106 19 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild:
107 amd64 stable wrt #452688
108
109 11 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.104-r1.ebuild,
110 -polkit-0.109-r1.ebuild, -files/polkit-0.109-XAUTHORITY-fallback.patch:
111 old
112
113*polkit-0.110 (11 Jan 2013)
114
115 11 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.110.ebuild:
116 Version bump.
117
118 06 Jan 2013; Raúl Porcel <armin76@gentoo.org> polkit-0.107-r1.ebuild,
119 polkit-0.109-r1.ebuild:
120 Add ~sh wrt #436668
121
122 01 Jan 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.109-r1.ebuild:
123 Add ~ia64, wrt bug #436668
124
125 30 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
126 Stable for sparc, wrt bug #436666
127
128 29 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
129 Stable for alpha, wrt bug #436666
130
131 21 Dec 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.108.ebuild,
132 -polkit-0.109.ebuild:
133 old
134
135*polkit-0.109-r1 (21 Dec 2012)
136
137 21 Dec 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.109-r1.ebuild,
138 +files/polkit-0.109-XAUTHORITY-fallback.patch:
139 Backport XAUTHORITY fallback support from upstream git.
140
141 19 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.108.ebuild:
142 Add ~ia64, wrt bug #436668
143
144*polkit-0.109 (19 Dec 2012)
145
146 19 Dec 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.109.ebuild:
147 Version bump. Fix PaX marking logic wrt #444446 by Maxim Kammerer
148
149 18 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
150 Stable for ia64, wrt bug #436666
151
152 22 Nov 2012; Anthony G. Basile <blueness@gentoo.org> polkit-0.107-r1.ebuild:
153 stable arm, bug #436666
154
155 22 Nov 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.107.ebuild:
156 old
157
158 22 Nov 2012; Anthony G. Basile <blueness@gentoo.org> polkit-0.107-r1.ebuild:
159 stable ppc64, bug #436666
160
161 22 Nov 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
162 Stable for x86, tested by Vincent Olivert Riera <peratu@carrosses.com>, wrt
163 bug #436666
164
165 21 Nov 2012; Anthony G. Basile <blueness@gentoo.org> polkit-0.107-r1.ebuild:
166 stable ppc, bug #436666, thanks peratu
167
168 19 Nov 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.108.ebuild:
169 Link against -lgmodule-2.0 to prevent underlinking (backported from upstream,
170 but using sed to avoid eautoreconf) wrt #443798
171
172*polkit-0.108 (18 Nov 2012)
173
174 18 Nov 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.108.ebuild:
175 Version bump.
176
177 28 Oct 2012; Naohiro Aota <naota@gentoo.org> polkit-0.104-r1.ebuild,
178 polkit-0.107-r1.ebuild, polkit-0.107.ebuild:
179 Drop ~x86-fbsd due to bug #439968.
180
181 15 Oct 2012; Jeroen Roovers <jer@gentoo.org> polkit-0.104-r1.ebuild,
182 polkit-0.107-r1.ebuild:
183 Drop HPPA keywording (bug #438368).
184
185 15 Oct 2012; Zac Medico <zmedico@gentoo.org> polkit-0.107-r1.ebuild:
186 Set QA_MULTILIB_PATHS for bug #424423.
187
188 09 Oct 2012; Jeroen Roovers <jer@gentoo.org> polkit-0.107-r1.ebuild:
189 Marked ~hppa (bug #436668).
190
191 08 Oct 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.107-r1.ebuild:
192 Use pax-mark in src_compile() instead of src_install() for src_test() wrt
193 #423927 by "kensington" and "Nikoli". Punt bogus RESTRICT for multilib-strict
194 and emphatize it's an Portage issue instead of polkit issue in src_install()
195 message.
196
197 07 Oct 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
198 Stable for amd64, wrt bug #436666
199
200*polkit-0.107-r1 (20 Sep 2012)
201
202 20 Sep 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.107-r1.ebuild,
203 +files/polkit-0.107-fallback.patch:
204 Introduce upstream patch for falling back to uid 0 for authentication if list
205 of admin identities is empty.
206
207 13 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.105.ebuild,
208 -polkit-0.106-r7.ebuild:
209 old
210
211*polkit-0.107 (13 Jul 2012)
212
213 13 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.107.ebuild:
214 Version bump.
215
216 07 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106-r5.ebuild,
217 -polkit-0.106-r6.ebuild:
218 old
219
220 07 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r7.ebuild:
221 Remove USE="debug" because --enable/--disable-verbose-mode is no-op wrt
222 #391865 by Maksim Melnikau
223
224*polkit-0.106-r7 (02 Jul 2012)
225
226 02 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r7.ebuild:
227 RESTRICT="multilib-strict" since it's not compatible with the whole
228 /usr/libexec -> /usr/lib/$package migration wrt #424423. This will move
229 polkit-agent-helper-1 and polkitd back to /usr/lib/polkit-1.
230
231*polkit-0.106-r6 (01 Jul 2012)
232
233 01 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r6.ebuild:
234 Fix hardcoded path to "lib" in polkitagentsession.c for systems without the
235 /usr/lib to /usr/lib64 symlink.
236
237 30 Jun 2012; <swift@gentoo.org> polkit-0.104-r1.ebuild, polkit-0.105.ebuild,
238 polkit-0.106-r5.ebuild:
239 Adding dependency on SELinux policykit module if USE=selinux is set
240
241 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r5.ebuild:
242 pax-mark polkitd only when spidermonkey is built with JIT enabled and only
243 'm' instead of 'mr' when version is >= 1.8.7 (by using has_version check)
244
245 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106-r2.ebuild,
246 -polkit-0.106-r3.ebuild, -polkit-0.106-r4.ebuild:
247 old
248
249*polkit-0.106-r5 (27 Jun 2012)
250
251 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r5.ebuild:
252 Revert entire unix-group:wheel experiment back to unix-user:0 because
253 PolicyKit agent(s) don't behave correctly with it wrt #423733 by Travis
254 Hansen. Revert system-local-login to system-auth for PAM errors wrt #423487
255 by Doug Goldstein.
256
257*polkit-0.106-r4 (27 Jun 2012)
258
259 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r4.ebuild:
260 Stop installing polkit-backend-1.pc because upstream changed
261 libpolkit-backend-1.la to be noinst_LTLIBRARIES in
262 src/polkitbackend/Makefile.am wrt #423431 by Pim Vullers
263
264 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r3.ebuild:
265 Redefine libprivdir in install for multilib-strict wrt #423381 by Michael
266 Palimaka
267
268*polkit-0.106-r3 (25 Jun 2012)
269
270 25 Jun 2012; Alexandre Rostovtsev <tetromino@gentoo.org>
271 +polkit-0.106-r3.ebuild:
272 pax-mark polkitd to fix crashes on hardened/PaX systems.
273
274 23 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r2.ebuild:
275 Convert pkg_postinst() message about polkitd home directory to new
276 user.eclass function esethome().
277
278 19 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r2.ebuild:
279 Check for mozjs187.pc for >=dev-lang/spidermonkey-1.8.7 compability.
280
281 19 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r2.ebuild:
282 Adapt to sys-auth/pambase with USE="systemd" wrt #372229 by Michał Górny
283
284 17 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106-r1.ebuild:
285 old
286
287*polkit-0.106-r2 (17 Jun 2012)
288
289 17 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r2.ebuild:
290 Revision bump to chown /var/lib/polkit-1 because diropts has no effect on
291 existing directories.
292
293 17 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106.ebuild:
294 old
295
296*polkit-0.106-r1 (17 Jun 2012)
297
298 17 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r1.ebuild:
299 Update /etc/pam.d/polkit-1 from system-login to system-local-login. Use
300 unix-group "adm" for administrators. Use /var/lib/polkit-1 as home directory
301 for unix-user polkitd. Update owners of /etc/polkit-1/rules.d and
302 /usr/share/polkit-1/rules.d to polkitd:root wrt #420269.
303
304 13 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106.ebuild:
305 Pull in dev-lang/spidermonkey >= 1.8.5 and dev-libs/glib >= 2.32 wrt
306 #420173 and #420307.
307
308*polkit-0.106 (07 Jun 2012)
309
310 07 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106.ebuild:
311 Version bump.
312
313 20 May 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.105.ebuild:
314 Improve systemd handling wrt #416317 by Christoph Brill
315
316*polkit-0.105 (14 May 2012)
317
318 14 May 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.105.ebuild:
319 Version bump.
320
321 04 May 2012; Jeff Horelick <jdhore@gentoo.org> polkit-0.104-r1.ebuild:
322 dev-util/pkgconfig -> virtual/pkgconfig
323
324 18 Apr 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.102.ebuild,
325 -polkit-0.103.ebuild, -polkit-0.104.ebuild:
326 old
327
328 25 Mar 2012; Raúl Porcel <armin76@gentoo.org> polkit-0.104-r1.ebuild:
329 ia64/sh/sparc stable wrt #401513
330
331 09 Mar 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.104-r1.ebuild:
332 ppc/ppc64 stable wrt #401513
333
334 17 Feb 2012; Tobias Klausmann <klausman@gentoo.org> polkit-0.104-r1.ebuild:
335 Stable on alpha, bug #401513
336
337 17 Feb 2012; Thomas Kahle <tomka@gentoo.org> polkit-0.104-r1.ebuild:
338 marked x86 per bug 401513
339
340 13 Feb 2012; Markus Meier <maekke@gentoo.org> polkit-0.104-r1.ebuild:
341 arm stable, bug #401513
342
343 02 Feb 2012; Jeroen Roovers <jer@gentoo.org> polkit-0.104-r1.ebuild:
344 Stable for HPPA (bug #401513).
345
346 30 Jan 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.104-r1.ebuild:
347 Stable for AMD64, wrt security bug #401513
348
349*polkit-0.104-r1 (30 Jan 2012)
350
351 30 Jan 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.104-r1.ebuild:
352 Restore the default value of AdminIdentities from "wheel" to "0" like it was
353 in polkit-0.102 and ones before that. You should see files
354 50-localauthority.conf and 60-gentoo.conf in
355 /etc/polkit-1/localauthority.conf.d. You should also familiarize yourself
356 with "man 8 pklocalauthority" as soon as possible.
357
358 29 Jan 2012; Markus Meier <maekke@gentoo.org> polkit-0.103.ebuild:
359 arm stable, bug #397755
360
361 07 Jan 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.103.ebuild:
362 Stable for AMD64, wrt bug #397755
363
364*polkit-0.104 (05 Jan 2012)
365
366 05 Jan 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.104.ebuild,
367 metadata.xml:
368 Version bump.
369
370 08 Dec 2011; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.101-r1.ebuild:
371 old
372
373 08 Dec 2011; Samuli Suominen <ssuominen@gentoo.org> polkit-0.102.ebuild:
374 ppc/ppc64 stable wrt #387163
4 375
5 08 Dec 2011; Samuli Suominen <ssuominen@gentoo.org> polkit-0.103.ebuild: 376 08 Dec 2011; Samuli Suominen <ssuominen@gentoo.org> polkit-0.103.ebuild:
6 Raise dev-libs/glib depend to at least 2.30 wrt #393579 by Matt Palermo 377 Raise dev-libs/glib depend to at least 2.30 wrt #393579 by Matt Palermo
7 378
8*polkit-0.103 (07 Dec 2011) 379*polkit-0.103 (07 Dec 2011)
214 29 Oct 2009; Gilles Dartiguelongue <eva@gentoo.org> 585 29 Oct 2009; Gilles Dartiguelongue <eva@gentoo.org>
215 +files/polkit-0.92-zsh-completions.patch, 586 +files/polkit-0.92-zsh-completions.patch,
216 +files/polkit-0.93-fix-daemon-name.patch, +polkit-0.94.ebuild, 587 +files/polkit-0.93-fix-daemon-name.patch, +polkit-0.94.ebuild,
217 +metadata.xml: 588 +metadata.xml:
218 Initial ebuild for GNOME 2.28. 589 Initial ebuild for GNOME 2.28.
219

Legend:
Removed from v.1.59  
changed lines
  Added in v.1.155

  ViewVC Help
Powered by ViewVC 1.1.20